var util = {
    /** @augments 校验文件类型
     *  typeList 校验标准
     *  type 需要校验的类型
     */
    checkType(typeList, type) {
        let flage = false;
        for (const index in typeList) {
            if (type === '') {
                return flage;
            } else {
                if (typeList[index].indexOf(type) !== -1) {
                    flage = true;
                    break;
                }
            }
        };
        return flage;
    },
    /** @augments 取消浏览器默认的拖拽文件自动打开事件
     */
    preventDefaultEvent() {
        ['dragleave', 'drop', 'dragenter', 'dragover'].forEach(e => {
            document.addEventListener(e, (e) => {
                e.preventDefault();
            }, false);
        });
    },
    /** @augments 将文件转化为二进制字符串
     *  FILE 需要转换的文件
     */
    handleFileChange(FILE) {
        const reader = new FileReader();
        let blob;
        reader.onload = _ => {
            // FileReader 将图片文件转化成 DataURL，就是以 data:image/png;base64, 开头的一种URL，可以本地显示
            const url = reader.result;
            let data = data.split(',')[1];
            data = window.atob(data);
            var ia = new Uint8Array(data.length);
            for (var i = 0; i < data.length; i ++) {
                ia[i] = data.charCodeAt(i);
            };
            // blob 就是二进制字符串
            blob = new Blob([ia], {
                type: 'image/png'
            });
        };
        return blob;
    }
};
export default util;
