import popupManager from './popupManager';
export default {
    props: {
        visible: {
            type: Boolean,
            default: false
        },
        beforeOpen: {
            type: Function,
            default: () => console.log('openModal')
        }
    },
    watch: {
        visible: function(isVisible) {
            if (isVisible) {
                this.beforeOpen();
                this.open();
            } else {
                this.close();
            }
        }
    },
    methods: {
        open() {
            popupManager.openModal(this);
        },
        close() {
            popupManager.closeModal();
        }
    },
    mounted() {
        if (this.visible) {
            this.open();
        }
    }
};
