// css中的fade定义的transition时间为300毫秒
const transitionTime = 300;
export default {
    modalStackLength: 0,
    modalDom: null,
    zIndex: 1999,
    // 因为老的弹窗的z-index是2000，会出现被覆盖的情况

    getDialogDom: function(vm) {
        return vm.$el;
    },
    openModal: function(vm) {
        if (this.modalStackLength === 0 && !this.modalDom) {
            document.querySelector('body').style.cssText = 'overflow:hidden;'
            var modal = document.createElement('div');
            $(modal).addClass('dd-modal');
            document.documentElement.appendChild(modal);
            this.modalDom = modal;
            // 直接写没有效果。先渲染完再添加类名
            vm.$nextTick(() => {
                $(modal).addClass('dd-modal_fade');
            });
        } else {
            // 将modal的z-index重置
            this.zIndex += 2;
        }
        vm.$el.style = 'z-index:' + (this.zIndex + 1);
        this.modalDom.style = 'z-index:' + this.zIndex;
        this.modalStackLength ++;
    },
    closeModal: function() {
        this.modalStackLength --;
        if (this.modalStackLength === 0 && this.modalDom) {
            document.querySelector('body').style.cssText = '';
            const removeModal = this.modalDom;
            $(removeModal).removeClass('dd-modal_fade');
            setTimeout(() => {
                document.documentElement.removeChild(removeModal);
                this.modalDom = null;
            }, transitionTime);
        } else {
            this.zIndex -= 2;
        }
        this.modalDom.style = 'z-index:' + this.zIndex;
    }
};
